# Uses of Class
org.apache.velocity.runtime.parser.Token

Packages that use Token
Package
Description
org.apache.velocity.runtime.directive
org.apache.velocity.runtime.directive.contrib
org.apache.velocity.runtime.parser
org.apache.velocity.runtime.parser.node

## Uses of Token in org.apache.velocity.runtime.directive

Methods in org.apache.velocity.runtime.directive with parameters of type Token
Modifier and Type
Method
Description
`void`
Break.`checkArgs(ArrayList<Integer> argtypes, Token t, String templateName)`
Called by the parser to validate the argument types
`void`
Define.`checkArgs(ArrayList<Integer> argtypes, Token t, String templateName)`
Called by the parser to validate the argument types
`void`
Directive.`checkArgs(ArrayList<Integer> argtypes, Token t, String templateName)`
The Parser calls this method during template parsing to check the arguments types.
`void`
Foreach.`checkArgs(ArrayList<Integer> argtypes, Token t, String templateName)`
We do not allow a word token in any other arg position except for the 2nd since we are looking for the pattern #foreach($foo in $bar).
`void`
Macro.`checkArgs(ArrayList<Integer> argtypes, Token t, String templateName)`
Check the argument types of a macro call, called by the parser to do validation
`void`
Parse.`checkArgs(ArrayList<Integer> argtypes, Token t, String templateName)`
Called by the parser to validate the argument types
`void`
Stop.`checkArgs(ArrayList<Integer> argtypes, Token t, String templateName)`
Called by the parser to check the argument types
Constructors in org.apache.velocity.runtime.directive with parameters of type Token
Modifier
Constructor
Description
``
`MacroParseException(String msg, String templateName, Token currentToken)`

## Uses of Token in org.apache.velocity.runtime.directive.contrib

Methods in org.apache.velocity.runtime.directive.contrib with parameters of type Token
Modifier and Type
Method
Description
`void`
For.`checkArgs(ArrayList<Integer> argtypes, Token t, String templateName)`
We do not allow a word token in any other arg position except for the 2nd since we are looking for the pattern #foreach($foo in $bar).

## Uses of Token in org.apache.velocity.runtime.parser

Fields in org.apache.velocity.runtime.parser declared as Token
Modifier and Type
Field
Description
`Token`
ParseException.`currentToken`
This is the last token that has been consumed successfully.
`Token`
StandardParser.`jj_nt`
Next token.
`Token`
Token.`next`
A reference to the next regular (non-special) token from the input stream.
`Token`
Token.`specialToken`
This field is used to access special tokens that occur prior to this token, but after the immediately preceding regular (non-special) token.
`Token`
StandardParser.`token`
Current token.
Methods in org.apache.velocity.runtime.parser that return Token
Modifier and Type
Method
Description
`final Token`
StandardParser.`getNextToken()`
Get the next Token.
`Token`
StandardParserTokenManager.`getNextToken()`
Get the next Token.
`Token`
Parser.`getToken(int index)`
`final Token`
StandardParser.`getToken(int index)`
Get the specific Token.
`protected Token`
StandardParserTokenManager.`jjFillToken()`
`static Token`
Token.`newToken(int ofKind)`
`static Token`
Token.`newToken(int ofKind, String image)`
Returns a new Token object, by default.
Constructors in org.apache.velocity.runtime.parser with parameters of type Token
Modifier
Constructor
Description
``
`ParseException(Token currentTokenVal, int[][] expectedTokenSequencesVal, String[] tokenImageVal)`
This constructor is used by the method "generateParseException" in the generated parser.
``
`TemplateParseException(Token currentTokenVal, int[][] expectedTokenSequencesVal, String[] tokenImageVal)`
This constructor is used by the method "generateParseException" in the generated parser.
``
`TemplateParseException(Token currentTokenVal, int[][] expectedTokenSequencesVal, String[] tokenImageVal, String templateNameVal)`
This constructor is used to add a template name to info cribbed from a ParseException generated in the parser.

## Uses of Token in org.apache.velocity.runtime.parser.node

Fields in org.apache.velocity.runtime.parser.node declared as Token
Modifier and Type
Field
Description
`protected Token`
SimpleNode.`first`
`protected Token`
SimpleNode.`last`
Methods in org.apache.velocity.runtime.parser.node that return Token
Modifier and Type
Method
Description
`Token`
Node.`getFirstToken()`
`Token`
SimpleNode.`getFirstToken()`
`Token`
Node.`getLastToken()`
`Token`
SimpleNode.`getLastToken()`
Methods in org.apache.velocity.runtime.parser.node with parameters of type Token
Modifier and Type
Method
Description
`static StringBuilder`
NodeUtils.`getSpecialText(Parser parser, Token t)`
Collect all the <SPECIAL_TOKEN>s that are carried along with a token.
`void`
SimpleNode.`setFirstToken(Token t)`
`static String`
NodeUtils.`tokenLiteral(Parser parser, Token t)`
complete node literal